GDB (API)

Public Attributes | List of all members
func_type Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
unsigned | calling_convention: 8
unsigned int | is_noreturn: 1
struct call_site * | tail_call_list
struct type * | self_type

## Detailed Description

For TYPE_CODE_FUNC and TYPE_CODE_METHOD types.

Definition at line 1059 of file gdbtypes.h.

## Member Data Documentation

## ◆ calling_convention

unsigned func_type::calling_convention

The calling convention for targets supporting multiple ABIs. Right now this is only fetched from the Dwarf-2 DW_AT_calling_convention attribute. The value is one of the DW_CC enum dwarf_calling_convention constants.

Definition at line 1066 of file gdbtypes.h.

## ◆ is_noreturn

unsigned int func_type::is_noreturn

Whether this function normally returns to its caller. It is set from the DW_AT_noreturn attribute if set on the DW_TAG_subprogram.

Definition at line 1072 of file gdbtypes.h.

## ◆ self_type

struct type* func_type::self_type

For method types (TYPE_CODE_METHOD), the aggregate type that contains the method.

Definition at line 1086 of file gdbtypes.h.

## ◆ tail_call_list

struct call_site* func_type::tail_call_list

Only those DW_TAG_call_site's in this function that have DW_AT_call_tail_call set are linked in this list. Function without its tail call list complete (DW_AT_call_all_tail_calls or its superset DW_AT_call_all_calls) has TAIL_CALL_LIST NULL, even if some DW_TAG_call_site's exist in such function.

Definition at line 1081 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h